2017年9月24日(日) 06:45 JST

reCAPTCHAプラグイン v1.1.0

  • 投稿者:
  • 表示回数 1,542
プラグイン

GoogleからreCAPTCHA v2サービスが本格的に始動したので、プラグインの実装を更新してくれというメールが先日届いた。割と簡単に対応できそうだったので、昨日作成し、ついでにGitHubにもプッシュしておいた。

今回の更新ではだいぶCAPTCHAの外見が変わり、利用者にとって取っつきやすいものになった。ただ、Googleが提供しているPHPのライブラリがcomposerを使用している関係で、PHP-5.3.2以降が必要になる。コードを覗いた感じでは、PHP-5.3.0, PHP-5.3.1でも動作しそうな気はするが保証はしない。名前空間をサポートしていないPHP-5.2系列では全く動作しない。試してみたい方は、https://mystral-kk.net/filemgmt/index.php/47 からどうぞ。